CALIBREDB(1)

NAME
calibredb - calibredb

    calibredb orde [opcións] [argumentos]

:comando:`calibredb`
 é a interface de liña de comandos para a base de datos de calibre. Ten varios sub-comandos, documentados a continuación.

:comando:`calibredb`
 pode usarse para manipular tanto unha base de datos de calibre especificada por ruta como un :guilabel:Servidor de contidos de calibre que estea a funcionar na the local machine or over the internet. máquina local ou a través de internet. Podes iniciar un :Servidor de contidos de calibre utilizando tanto o programa :calibre-server como desde o programa principal de calibre facendo clic en Conectar/compartir  → Iniciar servidor de contidos. Dado que calibredb pode realizar cambios nas túas bibliotecas de calibre, debes configurar a autenticación no servidor primeiro. Hai dúas maneiras de facelo:

•   Se planeas conectarte só a un servidor que se estea a executar no mesmo ordenador, podes simplemente usar a opción --enable-local-write do Servidor de contidos, para permitir que calquera programa, incluíndo calibredb, que se estea a executar no ordenador local poida facer cambios nos teus datos de calibre. Cando executas

o servidor desde o programa principal de calibre, esta opción está en
    Preferencias → Compartir a través da rede → Avanzado.

•   Se queres habilitar o acceso a través de internet, entón debes configurar contas de usuario no servidor e usar as opcións --username and --password con calibredb para darlle acceso. Podes configurar a autenticación de usuarios para calibre-server usando a opción --enable-auth e utilizando --manage-users para crear as contas de usuario. Se estás a executar o servidor desde o programa principal de calibre, usa Preferencias → Compartir a través da rede → Requirir nome de usuario/contrasinal.

    Para conectarte a un Servidor de contidos en execución, pasa a URL do servidor á opción --with-library consulta a documentación desa opción para detalles e exemplos.

•   OPCIÓNS GLOBAIS

•   list

•   add

•   ENGADIR DENDE CARTAFOLES

•   remove

•   add_format

•   remove_format

•   show_metadata

•   set_metadata

•   export

•   catalog

•   EPUB OPCIÓNS

•   saved_searches

•   add_custom_column

•   custom_columns

•   remove_custom_column

•   set_custom

•   restore_database

•   check_library

•   list_categories

•   backup_metadata

•   clone

•   embed_metadata

•   search

•   fts_index

•   fts_search

OPCIÓNS GLOBAIS

--help, -h
    mostrar esta mensaxe de axuda e saír

--library-path, --with-library
    Camiño á biblioteca calibre. O predeterminado é usar o camiño almacenado na configuración. Tamén pode conectarse a un servidor de contido calibre para realizar accións en bibliotecas remotas. Para facelo, use un URL do formulario: http://hostname:port/#library_id, por exemplo, http://localhost:8080/#mylibrary. library_id é o ID da biblioteca á que queres conectarte no servidor de contido. Podes usar o valor especial library_id de - para obter unha lista de ID de biblioteca dispoñibles no servidor. Para obter máis información sobre como configurar o acceso a través dun servidor de contido, consulte https://manual.calibre-ebook.com/generated/en/calibredb.html.

--password
    Contrasinal para conectarse a un servidor de contido calibre. Para ler o contrasinal desde a entrada estándar, use o valor especial: <stdin>. Para ler o contrasinal dun ficheiro, use: <f:/path/to/file> (é dicir, <f: seguido da ruta completa ao ficheiro e un final >). Os corchetes angulares anteriores son necesarios, recorda escapar deles ou usar comiñas para o teu shell.

--timeout
    O tempo de espera, en segundos, ao conectarse a unha biblioteca de calibre a través da rede. O valor predeterminado é de dous minutos.

--username
    Nome de usuario para conectarse a un servidor de contido calibre

--version
    mostrar o número de versión do programa e saír

LIST

    calibredb list [opcións]

Lista dos libros dispoñíbeis na base de datos do Calibre.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--ascending
    Ordenar resultados en orde ascendente

--fields, -f
    Os campos que se mostrarán cando se listan libros na base de datos. Debe ser unha lista de campos separados por comas. Campos dispoñibles: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, template, timestamp, title, uuid Predeterminado: %predeterminado. O campo especial "todos" pódese usar para seleccionar todos os campos. Ademais dos campos integrados anteriores, os campos personalizados tamén están dispoñibles como *field_name, por exemplo, para un campo personalizado #rating, use o nome: *rating

--for-machine
    Xera saída en formato JSON, que é máis axeitado para a análise de máquinas. Fai que se ignoren as opcións de ancho de liña e separador.

--limit
    O número máximo de resultados para mostrar. Por defecto: todos

--line-width, -w
    A lonxitude máxima das liñas na saída. De modo predeterminado tómase a largura da pantalla.

--prefix
    O prefixo para todas as rutas de ficheiros. Por omisión é a ruta absoluta do cartafol da biblioteca.

--search, -s
    Filtrar os resultados pola consulta de busca. Para o formato da consulta de busca, véxase a documentación relacionada no Manual de Usuario. O predeterminado e non filtrar.

--separator
    O texto usado para separar campos. Por omisión é un espazo.

--sort-by
    O campo polo que ordenar os resultados. Podes especificar varios campos separándoos con comas. Campos dispoñibles: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, template, timestamp, title, uuid Valor predeterminado: id

--template
    The template to run if "template" is in the field list. Note that templates are ignored while connecting to a calibre server. Default: None

--template_file, -t
    Ruta a un ficheiro que contén o modelo para executar se "template" está na lista de campos. Predeterminado: Ningún

--template_heading
    Encabezamento para a columna do modelo. Predeterminado: template. Esta opción é ignorada se a opción --for-machine está definida

ADD

    calibredb engade [opcións] ficheiro1 ficheiro2 ficheiro3 ...

Engadir os ficheiros especificados como libros na base de datos. Tamén pode especificar cartafoles, vexa as opcións relacionadas con cartafoles a seguir.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--authors, -a
    Establece os autores do(s) libro(s) engadido(s)

--automerge, -m
    Se se atopan libros con títulos e autores similares, combine os formatos (arquivos) entrantes automaticamente nos rexistros de libros existentes. Un valor de "ignorar" significa que se descartan os formatos duplicados. Un valor de "sobrescribir" significa que os formatos duplicados na biblioteca se sobrescriben cos ficheiros recén engadidos. Un valor de "new_record" significa que os formatos duplicados colócanse nun novo rexistro de libro.

--cover, -c
    Camiño ata a portada para usar para o libro engadido

--duplicates, -d
    Engade libros á base de datos aínda que xa existan. A comparación realízase en función dos títulos dos libros e dos autores. Teña en conta que a opción --automerge ten prioridade.

--empty, -e
    Engadir libro en branco (sen formato)

--identifier, -I
    Establece os identificadores deste libro, p. ex. -I asin:XXX -I isbn:YYY

--isbn, -i
    Establece o ISBN do(s) libro(s) engadido(s)

--languages, -l
    Unha lista de idiomas separados por comas (o mellor é usar códigos de idioma ISO639, aínda que tamén se poden recoñecer algúns nomes de idiomas)

--series, -s
    Establece a serie do(s) libro(s) engadido(s)

--series-index, -S
    Establece o número de serie do(s) libro(s) engadido(s)

--tags, -T
    Establece as etiquetas do(s) libro(s) engadido(s)

--title, -t
    Establece o título do(s) libro(s) engadido(s)

  ENGADIR DENDE CARTAFOLES

Opcións para controlar a adición de libros desde cartafoles. De forma predeterminada, só se engaden ficheiros que teñen extensións de tipos de ficheiros de libros electrónicos coñecidos.

--add
    Un patrón de nome de ficheiro (glob), os ficheiros que coincidan con este patrón engadiranse ao buscar ficheiros nos cartafoles, aínda que non sexan dun tipo de ficheiro de libro electrónico coñecido. Pódese especificar varias veces para varios patróns.

--ignore
    Un paTrón de nome de ficheiro (glob), os ficheiros que coincidan con este patrón ignoraranse ao buscar ficheiros nos cartafoles. Pódese especificar varias veces para varios patróns. Por exemplo: *.pdf ignorará todos os ficheiros PDF

--one-book-per-directory, -1
    Supoña que cada cartafol só ten un único libro lóxico e que todos os ficheiros nel son diferentes formatos de libros electrónicos dese libro

--recurse, -r
    Procesar cartafoles de forma recursiva

REMOVE

    calibredb eliminar ids

Elimina os libros identificados por ID da base de datos. os ids deben ser unha lista separada por comas de números de identificación (podes obter números de identificación usando o comando de busca). Por exemplo, 23,34,57-85 (ao especificar un intervalo, non se inclúe o último número do intervalo).

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--permanent
    Non use o Papeleira de reciclaxe

ADD_FORMAT

    calibredb add_format [opcións] id ebook_file

Engade o libro electrónico en ebook_file aos formatos dispoñibles para o libro lóxico identificado por id. Podes obter a identificación usando o comando de busca. Se o formato xa existe, substitúese, a non ser que se especifique a opción non substituír.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--as-extra-data-file
    Engade o ficheiro como ficheiro de datos extra ao libro, non como formato de libro electrónico

--dont-replace
    Non substitúa o formato se xa existe

REMOVE_FORMAT

    calibredb remove_format [opcións] id fmt

Elimina o formato fmt do libro lóxico identificado por id. Podes obter a identificación usando o comando de busca. fmt debería ser unha extensión de ficheiro como LRF ou TXT ou EPUB. Se o libro lóxico non ten fmt dispoñible, non faga nada.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

SHOW_METADATA

    calibredb show_metadata [opcións] id

Mostra os metadatos almacenados na base de datos calibre para o libro identificado por id. id é un número de identificación do comando de busca.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--as-opf
    Imprimir os metadatos en formato OPF (XML)

SET_METADATA

    calibredb set_metadata [opcións] book_id [/path/to/metadata.opf]

Establece os metadatos almacenados na base de datos calibre para o libro identificado por book_id do ficheiro OPF metadata.opf. book_id é un número de identificación do libro de comando de busca. Podes ter unha idea rápida do formato OPF usando o --as-opf cambia ao comando show_metadata. Tamén pode configurar os metadatos de campos individuais coa opción --field. Se usa a opción --field, alí non é necesario especificar un ficheiro OPF.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--field, -f
    O campo a configurar. O formato é nome_campo:valor, por exemplo: --field tags:tag1,tag2. Use --list-fields para obter unha lista de todos os nomes de campo. Podes especificar esta opción varias veces para establecer varios campos. Nota: para os idiomas debes utilizar os códigos de idioma ISO639 (por exemplo, en para inglés, fr para francés, etc.). Para os identificadores, a sintaxe é --field identifiers:isbn:XXXX,doi:YYYYY. Para os campos booleanos (si/non) use verdadeiro e falso ou si e non.

--list-fields, -l
    Lista os nomes dos campos de metadatos que se poden usar coa opción --campo

EXPORT

    calibredb export [opcións] ids

Exporta os libros especificados por ids (unha lista separada por comas) ao sistema de ficheiros. A operación de exportación garda todos os formatos do libro, a súa portada e os metadatos (en un ficheiro OPF). Tamén se gardan os ficheiros de datos adicionais asociados co libro. Podes obter números de identificación do comando de busca.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--all
    Exportar todos os libros da base de datos, facendo caso omiso da lista de identificacións.

--dont-asciiize
    Have calibre convert all non English characters into English equivalents for the file names. This is useful if saving to a legacy filesystem without full support for Unicode filenames. Se se especifica esta opción desactivase este comportamento

--dont-save-cover
    Normally, calibre will save the cover in a separate file along with the actual e-book files. Se se especifica esta opción desactivase este comportamento

--dont-save-extra-files
    Save any data files associated with the book when saving the book Se se especifica esta opción desactivase este comportamento

--dont-update-metadata
    Normalmente Calibre actualizará os metadatos dos ficheiros gardados segundo os datos da biblioteca de Calibre. Fai que o gardado en disco sexa máis lento. Se se especifica esta opción desactivase este comportamento

--dont-write-opf
    Normalmente Calibre escribirá os metadatos nun fichero OPF separado, xunto cos ficheiros de libro electrónico. Se se especifica esta opción desactivase este comportamento

--formats
    Lista de formatos, separados por comas, para gardar cada libro. Por omisión gárdanse todos os formatos dispoñíbeis.

--progress
    Informar do progreso

--replace-whitespace
    Substituír os espazos por suliñados.

--single-dir
    Exportar todos os libros a un cartafol único

--template
    The template to control the filename and folder structure of the saved files. Default is "{author_sort}/{title}/{title} - {authors}" which will save books into a per-author subfolder with filenames containing title and author. Available controls are: {author_sort, authors, id, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, tags, timestamp, title}

--timefmt
    The format in which to display dates. %d - day, %b - month, %m - month number, %Y - year. Default is: %b, %Y

--to-dir
    Exportar os libros ao cartafol especificado. O valor predeterminado é .

--to-lowercase
    Converter as traxectorias a minúsculas.

CATALOG

    calibredb catalog /path/to/destination.(csv|epub|mobi|xml...) [options]

Export a catalog in format specified by path/to/destination extension. Options control how entries are displayed in the generated catalog output. Note that different catalog formats support different sets of options. To see the different options, specify the name of the output file and then the --help option.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--ids, -i
    Lista de identificadores da base de datos, separadas por vírgulas, para o catálogo. Cando se declare, ignorarase --search. Valor predeterminado: todas

--search, -s
    Filtrar los resultados segundo a busca. Para o formato da busca, vexa a documentación relativa a buscas no Manual de usuario. Valor predeterminado: sen filtrado

--verbose, -v
    Mostrar información de saída detallada. Útil para a depuración

  EPUB OPCIÓNS

--catalog-title
    Title of generated catalog used as title in metadata. Default: 'My Books' Applies to: AZW3, EPUB, MOBI output formats

--cross-reference-authors
    Create cross-references in Authors section for books with multiple authors. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--debug-pipeline
    Save the output from different stages of the conversion pipeline to the specified folder. Useful if you are unsure at which stage of the conversion process a bug is occurring. Default: 'None' Applies to: AZW3, EPUB, MOBI output formats

--exclude-genre
    Regex describing tags to exclude as genres. Default: '[.+]|^+$' excludes bracketed tags, e.g. '[Project Gutenberg]', and '+', the default tag for read books. Applies to: AZW3, EPUB, MOBI output formats

--exclusion-rules
    Specifies the rules used to exclude books from the generated catalog. The model for an exclusion rule is either ('<rule name>','Tags','<comma-separated list of tags>') or ('<rule name>','<custom column>','<pattern>'). For example: (('Archived books','#status','Archived'),) will exclude a book with a value of 'Archived' in the custom column 'status'. When multiple rules are defined, all rules will be applied. Default: "(('Catalogs','Tags','Catalog'),)" Applies to: AZW3, EPUB, MOBI output formats

--generate-authors
    Include 'Authors' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-descriptions
    Include 'Descriptions' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-genres
    Include 'Genres' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-recently-added
    Include 'Recently Added' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-series
    Include 'Series' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-titles
    Include 'Titles' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--genre-source-field
    Source field for 'Genres' section. Default: 'Etiquetas' Applies to: AZW3, EPUB, MOBI output formats

--header-note-source-field
    Custom field containing note text to insert in Description header. Default: '' Applies to: AZW3, EPUB, MOBI output formats

--merge-comments-rule
    #<custom field>:[before|after]:[True|False] specifying: <custom field> Custom field containing notes to merge with comments [before|after] Placement of notes with respect to comments [True|False] - A horizontal rule is inserted between notes and comments Default: '::' Applies to: AZW3, EPUB, MOBI output formats

--output-profile
    Specifies the output profile. In some cases, an output profile is required to optimize the catalog for the device. For example, 'kindle' or 'kindle_dx' creates a structured Table of Contents with Sections and Articles. Default: 'None' Applies to: AZW3, EPUB, MOBI output formats

--prefix-rules
    Specifies the rules used to include prefixes indicating read books, wishlist items and other user-specified prefixes. The model for a prefix rule is ('<rule name>','<source field>','<pattern>','<prefix>'). When multiple rules are defined, the first matching rule will be used. Default: "(('Read books','tags','+','✓'),('Wishlist item','tags','Wishlist','×'))" Applies to: AZW3, EPUB, MOBI output formats

--preset
    Use a named preset created with the GUI catalog builder. A preset specifies all settings for building a catalog. Default: 'None' Applies to: AZW3, EPUB, MOBI output formats

--thumb-width
    Size hint (in inches) for book covers in catalog. Range: 1.0 - 2.0 Default: '1.0' Applies to: AZW3, EPUB, MOBI output formats

--use-existing-cover
    Replace existing cover when generating the catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

SAVED_SEARCHES

    calibredb saved_searches [opcións] (lista|engadir|eliminar)

Xestiona as buscas gardadas almacenadas nesta base de datos. Se tentas engadir unha consulta cun nome que xa existe, será substituído.

Sintaxe para engadir:

calibredb saved_searches engade search_name search_expression

Sintaxe para eliminar:

calibredb save_searches eliminar search_name

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

ADD_CUSTOM_COLUMN

    calibredb add_custom_column [opcións] etiqueta nome tipo-de-dato

Crea un campo personalizado. A 'etiqueta' é o nome amigábel da columna. Non debería conter espazos nin vírgulas. O 'nome' é o nome do campo que se amosará. O 'tipo-de-dato' pode ser un dos seguintes: bool, comments, composite, datetime, enumeration, float, int, rating, series, text

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--display
    Un dicionario de opcións para personalizar como se interpretarán os datos desta columna. Esta é unha cadea JSON. Para as columnas de enumeración, use --display"{\ "enum_values\ ":[\ "val1\ ", \ "val2\ "]}" Hai moitas opcións que poden entrar na variable de visualización. As opcións por tipo de columna son: composto: composite_template, composite_sort, make_category,contains_html, use_decorations datetime: data_format enumeración: valores_enum, cores_enum, use_decorations int, float: formato_número texto: is_names, use_decorations A mellor forma de atopar combinacións legais é crear unha columna personalizada do tipo apropiado na GUI e despois mirar o OPF de copia de seguridade dun libro (asegúrese de que se creou un novo OPF desde que se engadiu a columna). Verá o JSON para a "visualización" da nova columna no OPF.

--is-multiple
    Esta columna almacena datos de etiquetas (valores separados por comas). Só se aplica se el tipo de dato é texto.

CUSTOM_COLUMNS

    calibredb custom_columns [opcións]

Lista de columnas personalizadas dispoñibles. Mostra as etiquetas e os ID das columnas.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--details, -d
    Mostrar detalles das columnas

REMOVE_CUSTOM_COLUMN

    calibredb remove_custom_column [opcións] etiqueta

Elimina a columna personalizada identificada pola etiqueta. Podes ver dispoñibles columnas co comando custom_columns.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--force, -f
    Non pedir confirmación

SET_CUSTOM

    calibredb set_custom [opcións] valor de id de columna

Establece o valor dunha columna personalizada para o libro identificado por id. Podes obter unha lista de IDs usando o comando de busca. Podes obter unha lista de nomes de columnas personalizadas usando custom_columns mando.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--append, -a
    Se a columna almacena valores múltiplos, engadir os valores especificados aos existentes no canto de substituílos.

RESTORE_DATABASE

    calibredb restore_database [opcións]

Restaura esta base de datos a partir dos metadatos almacenados nos ficheiros OPF de cada un carpeta da biblioteca calibre. Isto é útil se o teu ficheiro metadata.db foi corrompido.

AVISO: Este comando rexenera completamente a súa base de datos. Vai perder todas as buscas gardadas, categorías de usuarios, plugboards, conversión almacenada por libro configuracións e receitas personalizadas. Os metadatos restaurados só serán tan precisos como o que se atopa nos ficheiros OPF.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--really-do-it, -r
    Facer a recuperación. Esta orde no se executará a menos que se especifique esta opción.

CHECK_LIBRARY

    calibredb check_library [opcións]

Realiza algunhas comprobacións no sistema de ficheiros que contén a biblioteca. O resultado é invalid_titles, extra_titles, invalid_authors, extra_authors, missing_formats, extra_formats, extra_files, missing_covers, extra_covers, failed_folders

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--csv, -c
    Saída en CSV

--ignore_extensions, -e
    Lista de extensións para ignorar separadas por vírgulas. Valor predeterminado: todas

--ignore_names, -n
    Lista de nomes para ignorar separados por vírgulas. Valor predeterminado: todas

--report, -r
    Lista de resultados separados por comas Valor predeterminado: all

--vacuum-fts-db
    Aspirar a base de datos de busca de texto completo. Isto pode ser moi lento e consumir memoria, dependendo do tamaño da base de datos.

LIST_CATEGORIES

    calibredb list_categories [opcións]

Elaborar un informe da información da categoría na base de datos. O a información é o equivalente ao que se mostra no navegador de etiquetas.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--categories, -r
    Lista separada por comas dos nomes das categorías a consultar. Valor predeterminado: todos

--csv, -c
    Saída en CSV

--dialect
    O tipo de ficheiro CSV que se vai producir. Opcións: excel, excel-tab, unix

--item_count, -i
    Xerar na saída só o número de elementos nunha categoría en vez de cantas veces aparece por elemento na categoría

--width, -w
    A lonxitude máxima das liñas na saída. De modo predeterminado tómase a largura da pantalla.

BACKUP_METADATA

    calibredb backup_metadata [opcións]

Fai unha copia de seguranza dos metadatos almacenados na base de datos en ficheiros OPF individuais de cada un dos cartafoles de libros. Isto normalmente ocorre automaticamente, pero pode executalo comando para forzar a rexeneración dos ficheiros OPF, coa --opción todos.

Teña en conta que normalmente non é necesario facelo, xa que se fai unha copia de seguranza dos ficheiros OPF automaticamente, cada vez que se cambian os metadatos.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--all
    Normalmente, este comando só funciona en libros que teñen ficheiros OPF desactualizados. Esta opción fai que funcione en todos os libros.

CLONE

    calibredb clone ruta/a/novo/biblioteca

Crea un clon da biblioteca actual. Isto crea unha nova biblioteca baleira que ten todos os elementos mesmas columnas personalizadas, bibliotecas virtuais e outras opcións que a biblioteca actual.

A biblioteca clonada non conterá ningún libro. Se queres crear un duplicado completo, incluído todos os libros, entón simplemente use as ferramentas do sistema de ficheiros para copiar o cartafol da biblioteca.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

EMBED_METADATA

    calibredb embed_metadata [opcións] book_id

Actualiza os metadatos dos ficheiros de libros reais almacenados na biblioteca calibre desde os metadatos na base de datos calibre. Normalmente, os metadatos só se actualizan cando exportando ficheiros desde calibre, este comando é útil se queres que o fagan ser actualizado no seu lugar. Teña en conta que os diferentes formatos de ficheiro admiten cantidades diferentes de metadatos. Podes usar o valor especial "all" para book_id para actualizar os metadatos en todos os libros. Tamén podes especificar moitos ID de libros separados por espazos e intervalos de ID separados por guións. Por exemplo: rog embed_metadata 1 2 10-15 23

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--only-formats, -f
    Actualiza só os metadatos en ficheiros do formato especificado. Especifícao varias veces para varios formatos. Por defecto, todos os formatos actualízanse.

SEARCH

    calibredb search [opcións] expresión de busca

Busca na biblioteca o termo de busca especificado, devolvendo unha coma separada lista de ID de libros que coinciden coa expresión de busca. O formato de saída é útil para alimentar outros comandos que aceptan unha lista de IDs como entrada.

A expresión de busca pode ser calquera cousa desde a poderosa consulta de busca de calibre idioma, por exemplo: calibredb search author:asimov 'title:"i robot"'

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--limit, -l
    O número máximo de resultados a devolver. O predeterminado son todos os resultados.

FTS_INDEX

    calibredb fts_index [opcións] enable/disable/status/reindex

Controle o proceso de indexación da busca de texto completo.

enable Activa a indexación FTS para esta biblioteca disable Desactiva a indexación FTS para esta biblioteca status Mostra o estado actual da indexación reindex Pódese usar para reindexar libros ou toda a biblioteca. Para reindexar determinados libros especifique os ID do libro como argumentos adicionais despois do comando reindex. Se non se especifican ID de libro o toda a biblioteca está reindexada.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--indexing-speed
    Velocidade de indexación. Utilízao rápido para indexar rápido usando todos os recursos do teu ordenador e lento para indexar menos recursos. Teña en conta que a velocidade restablece a baixa despois de cada invocación.

--wait-for-completion
    Agarda ata que todos os libros estean indexados, mostrando o progreso da indexación periodicamente

FTS_SEARCH

    calibredb fts_search [opcións] expresión de busca

Fai unha busca de texto completo en toda a biblioteca ou nun subconxunto dela.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--do-not-match-on-related-words
    Coincide só con palabras exactas non relacionadas. Polo tanto, a corrección non coincidirá coa corrección.

--include-snippets
    Inclúe fragmentos do texto que rodea cada coincidencia. Teña en conta que isto fai que a busca sexa moito máis lenta.

--indexing-threshold
    Canto da biblioteca debe estar indexada antes de permitir a busca, como porcentaxe. O valor predeterminado é 90

--match-end-marker
    O marcador usado para indicar o final dunha palabra coincidente dentro dun fragmento

--match-start-marker
    O marcador usado para indicar o inicio dunha palabra coincidente dentro dun fragmento

--output-format
    O formato no que se mostrarán os resultados da busca. Ou "texto" para o texto simple ou "json" para a saída JSON.

--restrict-to
    Restrinxa os libros buscados, xa sexa mediante unha expresión de busca ou identificadores. Por exemplo: ids:1,2,3 para restrinxir mediante ids ou search:tag:foo para restrinxir a libros que teñan a etiqueta foo.

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal